import { ReactNode } from 'react';
import { TestRendererResult, TestRendererResultWithStore } from '../types';
import { TestRendererState } from '../TestRendererState';
export declare class RenderMethods {
    private trs;
    constructor(testRendererState: TestRendererState);
    render: (props?: object | undefined, children?: ReactNode[] | undefined) => TestRendererResult;
    renderWithStore: (props?: object | undefined, state?: object | undefined, children?: ReactNode[] | undefined) => TestRendererResultWithStore;
    private buildComponent;
    private wrapWithWrapperArray;
    private wrapWithWrapper;
    private wrapWithProvider;
    private createBaseComponent;
}
