"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MethodFactory = void 0;
const TestRendererState_1 = require("./TestRendererState");
const RenderMethods_1 = require("./methods/RenderMethods");
const ComponentMethods_1 = require("./methods/ComponentMethods");
const StateMethods_1 = require("./methods/StateMethods");
const ActionMethods_1 = require("./methods/ActionMethods");
class MethodFactory {
    constructor(component, defaultProps, defaultState) {
        const testRendererState = new TestRendererState_1.TestRendererState(component, defaultProps, defaultState);
        this.all = Object.assign(Object.assign(Object.assign(Object.assign({}, new ActionMethods_1.ActionMethods(testRendererState)), new StateMethods_1.StateMethods(testRendererState)), new ComponentMethods_1.ComponentMethods(testRendererState)), new RenderMethods_1.RenderMethods(testRendererState));
    }
}
exports.MethodFactory = MethodFactory;
