"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TestRendererState = void 0;
const redux_mock_store_1 = __importDefault(require("redux-mock-store"));
class TestRendererState {
    constructor(component, defaultProps, defaultState) {
        // eslint-disable-next-line react/static-property-placement
        this.defaultProps = {};
        this.defaultState = {};
        this.middleware = [];
        this.wrappers = [];
        this.temporaryWrappers = [];
        this.useTemporaryWrappers = false;
        this.component = component;
        this.defaultProps = defaultProps || {};
        this.defaultState = defaultState || {};
        if (defaultState) {
            this.state = defaultState;
        }
        this.mockStore = redux_mock_store_1.default(this.middleware);
    }
    // eslint-disable-next-line no-return-assign
    setStore() {
        this.mockStore = redux_mock_store_1.default(this.middleware)(() => this.state);
        return this.mockStore;
    }
    setState(state) {
        this.state = state !== undefined ? state : this.defaultState;
        return this.state;
    }
}
exports.TestRendererState = TestRendererState;
