"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionMethods = void 0;
class ActionMethods {
    constructor(testRendererState) {
        this.getAllActions = () => this.trs.mockStore.getActions();
        this.getActionsOfType = (actionType) => this.trs.mockStore.getActions().filter((action) => action.type === actionType);
        this.getCountForAllActions = () => this.trs.mockStore.getActions().length;
        this.getCountForAction = (actionType) => this.trs.mockStore.getActions().filter((action) => action.type === actionType).length;
        this.trs = testRendererState;
    }
}
exports.ActionMethods = ActionMethods;
