import * as React from 'react';
import { _component } from '../types';
import { TestRendererState } from '../TestRendererState';
export declare class ComponentMethods {
    private trs;
    constructor(testRendererState: TestRendererState);
    addWrapper: (component: _component, props?: object | undefined) => number;
    addContextProvider: (context: React.Context<any>, value: object) => number;
    addTemporaryWrapper: (component: _component, props: object) => void;
    useWrapperProps: (id: number, props: object) => void;
    useContextValue: (id: number, value: object) => void;
    private enableTemporaryWrappers;
    private createTemporaryWrappers;
    private isValidIndex;
}
