import { RenderResult } from '@testing-library/react';
import { MockStore } from 'redux-mock-store';
export interface IWrapper {
    component: _component;
    props: object;
    type: 'component' | 'context' | 'provider';
}
declare type Override<T, U> = Pick<T, Exclude<keyof T, keyof U>> & U;
export declare type TestRendererResult = Override<RenderResult, {
    rerender: (newProps: object) => void;
}>;
export declare type TestRendererResultWithStore = Override<TestRendererResult, {
    store: MockStore;
}>;
export declare type _component = any;
export declare type Action = {
    type: string;
    payload: any;
};
export {};
